Bug 213339 - Dashes aren't allowed in identifiers
Dashes aren't allowed in identifiers
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: checkpolicy (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
http://www.redhat.com/archives/fedora...
:
Depends On:
Blocks: 211767
  Show dependency treegraph
 
Reported: 2006-10-31 16:36 EST by Dawid Gajownik
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-19 13:03:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
this patch exhibits limitation of SELinux policy language (?) (681 bytes, patch)
2006-10-31 16:36 EST, Dawid Gajownik
no flags Details | Diff
Patch to allow dashes in genfscon statements (1.25 KB, patch)
2006-11-01 11:28 EST, Karl MacMillan
no flags Details | Diff

  None (edit)
Description Dawid Gajownik 2006-10-31 16:36:00 EST
Description of problem:
If you try to apply attached patch against selinux-policy you will get this
error message:

Compiling targeted base module
/usr/bin/checkmodule -M base.conf -o tmp/base.mod
/usr/bin/checkmodule:  loading policy configuration from base.conf
policy/modules/services/xserver.te:740:ERROR 'syntax error' at token 'ntfs-3g'
on line 1002631:
genfscon ntfs / system_u:object_r:dosfs_t:s0
genfscon ntfs-3g / system_u:object_r:dosfs_t:s0
/usr/bin/checkmodule:  error(s) encountered while parsing configuration
make: *** [tmp/base.mod] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.24170 (%install)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.24170 (%install)
[rpm-build@X selinux-policy-2.4.2]$

I was told that dashes aren't allowed in identifiers →
http://www.redhat.com/archives/fedora-selinux-list/2006-October/msg00117.html

This limitation does not allow me to write policy for ntfs-3g

Version-Release number of selected component (if applicable):
checkpolicy-1.30.12-1

Steps to Reproduce:
1. Apply attached patch against SRPM selinux-policy
2. run rpmbuild -ba selinux-policy.spec
Comment 1 Dawid Gajownik 2006-10-31 16:36:00 EST
Created attachment 139902 [details]
this patch exhibits limitation of SELinux policy language (?)
Comment 2 Karl MacMillan 2006-11-01 11:27:29 EST
Patch attached - should be merged upstream soon.
Comment 3 Karl MacMillan 2006-11-01 11:28:46 EST
Created attachment 140002 [details]
Patch to allow dashes in genfscon statements

Patch attached - should be merged upstream soon.
Comment 4 Daniel Walsh 2006-11-28 14:09:11 EST
Fixed in checkpolicy-1.33.1-2
Comment 5 Dawid Gajownik 2007-03-19 13:03:43 EDT
Thanks!

Note You need to log in before you can comment on or make changes to this bug.